## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeProcessingInstructionAllocator Class Reference

`#include <XalanSourceTreeProcessingInstructionAllocator.hpp>`

Collaboration diagram for XalanSourceTreeProcessingInstructionAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanSourceTreeProcessingInstruction ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeProcessingInstructionAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeProcessingInstructionAllocator ()
- ObjectType* create (const XalanDOMString &theTarget, const XalanDOMString &theData, XalanSourceTreeDocument *theOwnerDocument, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XalanSourceTreeProcessingInstructionAllocator::ArenaAllocatorType<ObjectType>

typedef ObjectType::IndexType XalanSourceTreeProcessingInstructionAllocator::IndexType

typedef XalanSourceTreeProcessingInstruction XalanSourceTreeProcessingInstructionAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeProcessingInstructionAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeProcessingInstructionAllocator::XalanSourceTreeProcessingInstructionAllocator ( | size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanSourceTreeProcessingInstructionAllocator::~XalanSourceTreeProcessingInstructionAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeProcessingInstructionAllocator::create ( | const XalanDOMString & theTarget,
| const XalanDOMString & theData,
| XalanSourceTreeDocument * theOwnerDocument,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

  | Create an instance. Parameters:
  theTarget | The target for the processing instruction.
  theData | The data for the node
  theOwnerDocument | The document that owns the instance.
  theParentNode | The parent node, if any.
  thePreviousSibling | The next sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.
Returns: pointer to the instance

size_type XalanSourceTreeProcessingInstructionAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XalanSourceTreeProcessingInstructionAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

void XalanSourceTreeProcessingInstructionAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeProcessingInstructionAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.